=== debian/changelog ===
libtickit (0.2-5) unstable; urgency=medium

  * Include the man pages in libtickit-dev (Closes: #911112)
  * Add demo compilation checks for basic CI tests
  * control:
    + Add libtermkey-dev and libunibilium-dev to libtickit-dev Depends
    + Mark libtickit-dev Multi-Arch: same
  * rules:
    + Suppress build output when DEB_BUILD_OPTIONS=terse
    + Use dh_missing --list-missing
  * Declare compliance with Policy 4.2.1

 -- James McCoy <jamessan@debian.org>  Tue, 16 Oct 2018 10:48:30 -0400

libtickit (0.2-4) unstable; urgency=medium

  * Backport patch from upstream to pass CFLAGS/LDFLAGS to compiler for tests.
    This fixes a test failure in Ubuntu due to the test binaries being built
    with different fortify options than the library.  (Closes: #900034)

 -- James McCoy <jamessan@debian.org>  Thu, 31 May 2018 21:41:41 -0400

libtickit (0.2-3) unstable; urgency=medium

  * Backport patches from upstream to fix out-of-bounds access by FD_SET.
    (Closes: #895268)
  * rules:
    + Re-enable hardening since #895268 is fixed
    + Disable tests when DEB_BUILD_OPTIONS contains nocheck
  * libtickit-dev: Install examples
  * Declare compliance with Policy 4.1.4, no changes needed

 -- James McCoy <jamessan@debian.org>  Wed, 23 May 2018 22:17:24 -0400

libtickit (0.2-2) unstable; urgency=medium

  * Set TERM when running tests to fix FTBFS

 -- James McCoy <jamessan@debian.org>  Mon, 05 Feb 2018 08:06:30 -0500

libtickit (0.2-1) unstable; urgency=medium

  * Initial upload (Closes: #887312)
  * d/rules: Disable fortify flags until LP#1744933 is fixed

 -- James McCoy <jamessan@debian.org>  Wed, 31 Jan 2018 21:05:48 -0500
