=== debian/tests/control ===
Tests: build-demos
Depends: @, build-essential, pkg-config, gzip
