## libtickit 0.3.4

=== debian/changelog ===
libtickit (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * Rename libtickit1 to libtickit2 due to ABI bump
    + Mark all evloop symbols as optional, since there are no API/ABI guarantees
    + Remove symbols for deprecated, and now removed, tickit_string_ functions
    + Add new symbols tickit_term_build and tickit_hook_terminfo
    + Remove symbols for internal functions, and mark their counterparts as optional
    + Add symbols for tickit_version_{major,minor,patch}
    + libtickit-dev: Depend on libtickit2, not libtickit1
  * Stop installing libtickit.la
  * Declare compliance with Policy 4.5.0, no changes needed
  * autopkgtest:
    + Honor $CC when building binaries
    + Fix "undefined reference" errors
    + Add libuv1-dev/libglib2.0-dev to Depends for event loop examples
    + Add superficial restriction, since the tests are only building the
      examples.  Running them would require feeding input through a pty.

 -- James McCoy <jamessan@debian.org>  Sun, 02 Feb 2020 12:59:25 -0500
