=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libtool-bin,
  libunibilium-dev (>= 1.1.0),
  pkg-config,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libtickit/
 Rules-Requires-Root: no
@@ -19,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libtickit1 (= ${binary:Version}),
+ libtickit2 (= ${binary:Version}),
  libtermkey-dev,
  libunibilium-dev,
  ${misc:Depends}
@@ -56,7 +56,7 @@
  This package contains the header files and libraries needed for developing
  with libtickit.
 
-Package: libtickit1
+Package: libtickit2
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Architecture: any
