=== debian/tests/control ===
Tests: build-demos
Restrictions: superficial
Depends: @, build-essential, pkg-config, gzip, libuv1-dev, libglib2.0-dev
