## libtickit 0.3.5

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,8 @@
 
 EXAMPLESOURCES=$(sort $(wildcard examples/*.c))
 
-VERSION_CURRENT=1
-VERSION_REVISION=0
+VERSION_CURRENT=2
+VERSION_REVISION=5
 VERSION_AGE=0
 
 PREFIX=/usr/local
@@ -72,11 +72,15 @@
 src/linechars.inc: src/linechars.inc.PL
 	perl $^ > $@
 
-t/%.t: t/%.c $(LIBRARY) t/taplib.lo t/mockterm.lo t/taplib-tickit.lo
-	$(LIBTOOL) --mode=link --tag=CC gcc -o $@ -Iinclude -std=c99 -ggdb $^
+src/utf8.lo: src/fullwidth.inc
+src/fullwidth.inc: src/fullwidth.inc.PL
+	perl $^ > $@
+
+t/%.t: t/%.lo $(LIBRARY) t/taplib.lo t/mockterm.lo t/taplib-tickit.lo
+	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^ $(LDFLAGS)
 
 t/%.lo: t/%.c
-	$(LIBTOOL) --mode=compile --tag=CC gcc $(CFLAGS) -o $@ -c $^
+	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $^
 
 .PHONY: test
 test: $(TESTFILES)
@@ -91,6 +95,20 @@
 	$(LIBTOOL) --mode=clean rm -f $(OBJECTS)
 	$(LIBTOOL) --mode=clean rm -f $(LIBRARY)
 
+ifneq ($(shell pkg-config glib-2.0 && echo 1),1)
+  EXAMPLESOURCES:=$(filter-out examples/evloop-glib.c, $(EXAMPLESOURCES))
+endif
+
+examples/evloop-glib.lo: CFLAGS +=$(shell pkg-config --cflags glib-2.0)
+examples/evloop-glib:    LDFLAGS+=$(shell pkg-config --libs   glib-2.0)
+
+ifneq ($(shell pkg-config libuv && echo 1),1)
+  EXAMPLESOURCES:=$(filter-out examples/evloop-libuv.c, $(EXAMPLESOURCES))
+endif
+
+examples/evloop-libuv.lo: CFLAGS +=$(shell pkg-config --cflags libuv)
+examples/evloop-libuv:    LDFLAGS+=$(shell pkg-config --libs   libuv)
+
 .PHONY: examples
 examples: $(EXAMPLESOURCES:.c=)
 
@@ -98,7 +116,7 @@
 	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<
 
 examples/%: examples/%.lo $(LIBRARY)
-	$(LIBTOOL) --mode=link --tag=CC gcc -o $@ $^
+	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^ $(LDFLAGS)
 
 .PHONY: install
 install: install-inc install-lib install-man
@@ -125,7 +143,9 @@
 	  gzip <$$F >$(DESTDIR)$(MAN7DIR)/$${F#man/}.gz; \
 	done
 	while read FROM EQ TO; do \
-	  ln -sf $$TO.gz $(DESTDIR)$(MAN3DIR)/$$FROM.gz; \
+	  if [ -n "$$FROM" ]; then \
+	    ln -sf $$TO.gz $(DESTDIR)$(MAN3DIR)/$$FROM.gz; \
+	  fi; \
 	done < man/also
 
 HTMLDIR=html
