=== debian/changelog ===
libtickit (0.3.5-1) unstable; urgency=medium

  * Update to new upstream version 0.3.5.
  * Build-Depend on debhelper-compat (= 12)

 -- James McCoy <jamessan@debian.org>  Tue, 17 Mar 2020 21:08:02 -0400
