=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libtermkey-dev,
  libtool-bin,
  libunibilium-dev (>= 1.1.0),
