## libtickit 0.4.1

=== debian/changelog ===
libtickit (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Run upstream tests via autopkgtest

 -- James McCoy <jamessan@debian.org>  Sun, 04 Oct 2020 22:04:11 -0400

libtickit (0.4.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate
    + Rename libtickit2 to libtickit3 for SONAME change

 -- James McCoy <jamessan@debian.org>  Sat, 23 May 2020 09:47:43 -0400
