=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libtickit2 (= ${binary:Version}),
+ libtickit3 (= ${binary:Version}),
  libtermkey-dev,
  libunibilium-dev,
  ${misc:Depends}
@@ -47,16 +47,16 @@
  The following terminal features are supported (depending on terminal support):
  .
   * Many rendering attributes; bold, italics, underline, reverse,
-  * strike-though, alternate font
+    strikethough, alternate font
   * 256 and 24-bit (16 million) colours
   * Mouse including mouse wheel and recognition of position reporting greater
-  * than 224 columns
+    than 224 columns
   * Arbitrary scrolling regions
  .
  This package contains the header files and libraries needed for developing
  with libtickit.
 
-Package: libtickit2
+Package: libtickit3
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Architecture: any
