=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

CFLAGS += $(CPPFLAGS)
export CFLAGS LDFLAGS

VERBOSE=
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	VERBOSE=VERBOSE=1
endif

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) $(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	$(MAKE) $(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libtickit.la

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env TERM=xterm $(MAKE) $(VERBOSE) test
endif

override_dh_missing:
	dh_missing --list-missing
