## libtickit 0.4.2a

=== debian/changelog ===
libtickit (0.4.2a-1) unstable; urgency=medium

  * New upstream release (Closes: #1013740)
  * Add new tickit_watch_{process,signal} symbols
  * Bump copyright years
  * Bump debhelper-compat to 13
  * Declare compliance with Policy 4.6.1, no changes needed
  * Remove version constraint for libunibilium-dev Build-Depends

 -- James McCoy <jamessan@debian.org>  Tue, 19 Jul 2022 06:34:41 -0400
