=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libtermkey-dev,
  libtool-bin,
- libunibilium-dev (>= 1.1.0),
+ libunibilium-dev,
  pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libtickit/
 Rules-Requires-Root: no
