## libtickit 0.4.3

=== debian/changelog ===
libtickit (0.4.3-2) unstable; urgency=medium

  [ James McCoy ]
  * Replace pkg-config Build-Depends with pkgconf
  * Add explicit perl Build-Depends to run tests
  * rules: Invoke dh_auto_* in override_dh_auto_* targets
  * Add libtickit.la to debian/not-installed
  * Generate a libtool instead of using libtool-bin
  * Makefile: Allow overriding the pkg-config binary via $PKG_CONFIG
  * Generate libtool for autopkgtests
  * Allow overriding the pkg-config binary for autopkgtests
  * Depend on pkgconf, rather that pkg-config, for autopkgtests

  [ Niko Tyni ]
  * Fix a use-after-free error in tickit_window_destroy() (Closes: #1078154)

 -- James McCoy <jamessan@debian.org>  Tue, 13 Aug 2024 11:44:16 -0400

libtickit (0.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062651

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 20:21:55 +0000

libtickit (0.4.3-1) unstable; urgency=medium

  * Update to new upstream version 0.4.3.
  * Update libtickit3.symbols
    + Mark all mockterm/termdrv symbols as optional, since they're experimental
    + Bump termdrv symbols minimum version to 0.4.3
  * Declare compliance with Policy 4.6.2, no changes needed
  * Change upstream URLs to https

 -- James McCoy <jamessan@debian.org>  Sat, 04 Feb 2023 12:27:05 -0500
