=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libtickit
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libtermkey-dev,
- libtool-bin,
+ libtool,
  libunibilium-dev,
- pkg-config,
-Standards-Version: 4.6.1
+ perl:native <!nocheck>,
+ pkgconf,
+Standards-Version: 4.6.2
 Section: libs
-Homepage: http://www.leonerd.org.uk/code/libtickit/
+Homepage: https://www.leonerd.org.uk/code/libtickit/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jamessan/libtickit.git
 Vcs-Browser: https://salsa.debian.org/jamessan/libtickit
@@ -19,7 +20,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libtickit3 (= ${binary:Version}),
+ libtickit3t64 (= ${binary:Version}),
  libtermkey-dev,
  libunibilium-dev,
  ${misc:Depends}
@@ -56,7 +57,10 @@
  This package contains the header files and libraries needed for developing
  with libtickit.
 
-Package: libtickit3
+Package: libtickit3t64
+Provides: ${t64:Provides}
+Replaces: libtickit3
+Breaks: libtickit3 (<< ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Architecture: any
