=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

CFLAGS += $(CPPFLAGS)
export CFLAGS LDFLAGS

VERBOSE=
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	VERBOSE=VERBOSE=1
endif

LIBTOOL=$(CURDIR)/debian/libtool/libtool
export LIBTOOL

%:
	dh $@

override_dh_auto_clean: override_dh_auto_configure
	dh_auto_clean
	rm -rf debian/libtool

override_dh_auto_configure:
	mkdir -p debian/libtool
	cp debian/configure.ac debian/libtool/
	env -C debian/libtool LIBTOOLIZE='libtoolize -i' autoreconf -f -i
	dh_auto_configure --sourcedirectory=debian/libtool --buildsystem=autoconf

override_dh_auto_build-arch:
	dh_auto_build -- $(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	dh_auto_install -- $(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	env TERM=xterm dh_auto_test -- $(VERBOSE)
