=== debian/tests/control ===
Tests: build-demos
Restrictions: superficial
Depends: @, build-essential, pkgconf, gzip, libuv1-dev, libglib2.0-dev

Tests: upstream-tests
Depends: @, @builddeps@
