=== debian/watch ===
version=4
opts="pgpmode=none" https://www.leonerd.org.uk/code/libtickit/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
