## libtickit 0.4.6

=== debian/changelog ===
libtickit (0.4.6-0leo1) unstable; urgency=medium

  * New upstream release.

 -- Paul Evans <leonerd@leonerd.org.uk>  Thu, 12 Feb 2026 11:14:09 +0000

libtickit (0.4.4-0leo1) unstable; urgency=medium

  * New upstream release.

 -- Paul Evans <leonerd@leonerd.org.uk>  Mon, 04 Sep 2023 13:52:38 +0100

libtickit (0.4.3-0leo1) unstable; urgency=medium

  * New upstream release.

 -- Paul Evans <leonerd@leonerd.org.uk>  Thu, 25 Aug 2022 22:06:37 +0100
